var alrt = [0, 'Для добавления тем в закладки необходимо пройти авторизацию', 'Данная тема уже добавлена в закладки', 'Тема успешно добавлена в закладки', 'Для просмотра закладок необходимо пройти авторизацию'],
imgs = [0, '/img/er.png', '/img/rel.gif', '/img/ok.png', '/img/save.png', '/img/errors.png']

favorite = {
add: function (title, url, uid) {
var hght = $('#favoritesArea').innerHeight();
var f = $('img.imgLoad');

if (uid==0) {
_uWnd.alert(alrt[1], 'Ошибка', {close: 1, w: 230,h: 90, tm: 4000,align: 'center',icon: imgs[5]});
f.hide().attr('src', imgs[1]).css('width', '10px').css('height', '10px').fadeIn('fast').fadeTo(5000, 1).fadeOut('slow');
} else {

        $.get('/dir/0-0-' + uid + '-0-17?' + 77 * Math.random(), function (p) {
            ch = $('div.favorite', p).length;
            ch2 = $('div.favorite', p).text().indexOf(title);
        });
        setTimeout(function () {
            if (ch > 9) {
                alert('Превышен допустимый лимит.');
            } else {
                if (ch2 > -1) {
                    _uWnd.alert(alrt[2], 'Ошибка', {
                        close: 1,
                        w: 230,
                        h: 90,
                        tm: 4000,
                        align: 'center',
                        icon: imgs[5]
                    });
                    f.hide().attr('src', imgs[1]).css('width', '10px').css('height', '10px').fadeIn('fast').fadeTo(5000, 1).fadeOut('slow');
                } else {
                    $.get('/dir/1-0-0-0-1?' + 66 * Math.random(), function (i) {
                        $.post('/dir/1-0-0-0-1', {
                            a: $('input[name="a"]', i).val(),
                            numa: $('input[name="numa"]', i).val(),
                            ssid: $('input[name="ssid"]', i).val(),
                            title: title,
                            brief: url,
                            ocat: 1
                        }, setTimeout('favorite.reload(' + uid + ')', 500));
                    });
                    
                    f.hide().attr('src', imgs[3]).css('width', '10px').css('height', '10px').fadeIn('fast').fadeIn('fast').fadeTo(5000, 1).fadeOut('slow');
_uWnd.alert(alrt[3], 'Выполнено', {close: 1, w: 230,h: 90, tm: 4000,align: 'center',icon: imgs[4]});
                    $('#myFav').prepend('<img src="http://oranges.net.ru/ajax-loader.gif" alt="" />');
                }
            }
        }, 500);}
    }, reload: function (usid) {

       if (usid == 0) { 
$('#favoritesArea').load('/stuff #guest');
$(".favorites").click( function() { _uWnd.alert(alrt[4], 'Ошибка', {close: 1, w: 230,h: 90, tm: 4000,align: 'center',icon: imgs[5]}); });
} else { 


$('#favoritesArea').load('/dir/0-0-' + usid + '-0-17?' + 66 * Math.random() + ' #myFavorites');
};
jQuery(".favorites").colorbox.resize({height:$('#favoritesArea').height()+70})

    }, remove: function (a, y) {
        eval(('_entrRem(' + a.split('entrRem(')[1].split(')')[0] + ')').replace('Вы подтверждаете удаление?', 'Удалить закладку?'));
        setTimeout('favorite.reload(' + y + ')', 500);
    }
}